GDB (xrefs)

Static Public Member Functions | List of all members
bp_manipulation< bp_size, break_insn > Struct Template Reference

`#include "arch-utils.h"`

## Static Public Member Functions
static int | kind_from_pc (struct gdbarch *gdbarch, CORE_ADDR *pcptr)
static const gdb_byte * | bp_from_kind (struct gdbarch *gdbarch, int kind, int *size)

## Detailed Description

### template<size_t bp_size, const gdb_byte * break_insn>
struct bp_manipulation< bp_size, break_insn >

Definition at line 31 of file arch-utils.h.

## Member Function Documentation

## ◆ bp_from_kind()

template<size_t bp_size, const gdb_byte * break_insn>

static const gdb_byte* bp_manipulation< bp_size, break_insn >::bp_from_kind | ( | struct gdbarch * | gdbarch,
|  | int | kind,
|  | int * | size
| ) |  |
| inline static

Definition at line 40 of file arch-utils.h.

References size.

## ◆ kind_from_pc()

template<size_t bp_size, const gdb_byte * break_insn>

static int bp_manipulation< bp_size, break_insn >::kind_from_pc | ( | struct gdbarch * | gdbarch,
|  | CORE_ADDR * | pcptr
| ) |  |
| inline static

Definition at line 34 of file arch-utils.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/arch-utils.h